<head>
  <script>
    function setElementInnerHTML(elId, text) {
      var heading = document.getElementById(elId);
      heading.innerHTML = text;
    }

    function setElementColor(elId, color) {
      var heading = document.getElementById(elId);
      heading.style.color = color;
    }

    function getFinalURL(data) {
      return `${data.scheme}://${data.host}:${data.port}/${data.path}`;
    }
    window.onload = function () {
      // Change properties of the visual
      // KPI Label KPILabel String Customers visited
      // Value KPIValue String 35,436 visitors
      // Background Color KPIBoxBackgroundColor String #00C681

      // could be done that way
      //  setElementInnerHTML("KPIBox", exposedProperties.KPIBackgroundColor);
      var kpiBox = document.getElementById('KPIBox');
      kpiBox.style.background = exposedProperties.KPIBoxBackgroundColor;

      setElementInnerHTML('KPILabel', exposedProperties.KPILabel);
      setElementInnerHTML('KPIValue', exposedProperties.KPIValue);
    };
  </script>
</head>
<style>
  .kpi-box {
    padding: 10px;
    border: solid;
    background: #00c681;
    border: 1px solid black;
  }
  .kpi-label {
    font-size: 16px;
    color: white;
    padding-bottom: 2px;
    font-family: Arial, Helvetica, sans-serif;
  }
  .kpi-value {
    vertical-align: middle;
    text-align: center;
    font-size: 35px;
    font-weight: bold;
    color: white;
    font-family: Arial, Helvetica, sans-serif;
  }
</style>

<div class="kpi-box" id="KPIBox">
  <div class="kpi-label" id="KPILabel">Label</div>
  <div class="kpi-value" id="KPIValue">Some Amount</div>
</div>
